'use strict';

/**
 * @ngdoc overview
 * @name modules.ArcGis
 * @description
 * ArcGis module
 */
define(['angular', 'modules/arcgis/services/ArcGisJob',
  'modules/arcgis/services/ArcGisGeoprocess',
  'modules/arcgis/directives/arcgisJobDetails'],
function(angular, ArcGisJob, ArcGisGeoprocess, ArcGisJobDetails) {
  // Module
  const mod = angular.module('arcgis',[]);

  // Services
  mod.factory('ArcGisJob', ArcGisJob);
  mod.factory('ArcGisGeoprocess', ArcGisGeoprocess);

  mod.directive('arcgisJobDetails', ArcGisJobDetails);

  return mod;
});
